{ lib, pkgs, ... }:
{
  imports = [ ./khs-base.nix ];
  config = {
    environment.systemPackages = [ pkgs.khscodes.bao-import-secret ];
    khscodes = {
      services.openssh.enable = true;
      services.fail2ban.enable = true;
      machine.type = "server";
      os.auto-update.enable = true;
      infrastructure = {
        vault-server-approle.enable = lib.mkDefault true;
        vault-loki-sender.enable = lib.mkDefault true;
        vault-prometheus-sender.enable = lib.mkDefault true;
      };
    };
    stylix = {
      enable = true;
      autoEnable = false;
      base16Scheme = lib.mkDefault "${pkgs.base16-schemes}/share/themes/solarized-dark.yaml";
      targets.console.enable = true;
    };
  };
}
